export declare class BreadcrumbService {
    private routesFriendlyNames;
    private hideRoutes;
    /**
     * Specify a friendly name for the corresponding route.
     */
    addFriendlyNameForRoute(route: string, name: string): void;
    /**
     * Show the friendly name for a given route (url). If no match is found the url (without the leading '/') is shown.
     */
    getFriendlyNameForRoute(route: string): string;
    removeQueryStringAndAnchor(route: string): string;
    /**
     * Specify a route (url) that should not be shown in the breadcrumb.
     */
    hideRoute(route: string): void;
    /**
     * Returns true if a route should be hidden.
     */
    isRouteHidden(route: string): boolean;
}
